NETSTAT(8)

NUME
netstat - afișează conexiunile de rețea, tabelele de direcționare, statisticile interfețelor, conexiunile mascate și membrii grupurilor de multi-difuzare

SINOPSIS

netstat [address_family_options] [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w] [--l2cap|-2] [--rfcomm|-f] [--listening|-l] [--all|-a] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--symbolic|-N] [--extend|-e[--extend|-e]] [--timers|-o] [--program|-p] [--verbose|-v] [--continuous|-c] [--wide|-W]

netstat {--route|-r} [address_family_options] [--extend|-e[--extend|-e]] [--verbose|-v] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--interfaces|-i} [--all|-a] [--extend|-e[--extend|-e]] [--verbose|-v] [--program|-p] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--groups|-g} [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--masquerade|-M} [--extend|-e] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--statistics|-s} [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w]

netstat {--version|-V}

netstat {--help|-h}

opțiunile_familiei_de_adrese:

[-4|--inet] [-6|--inet6] [--protocol={inet,inet6,unix,ipx,ax25,netrom,ddp,bluetooth, ... } ] [--unix|-x] [--inet|--ip|--tcpip] [--ax25] [--x25] [--rose] [--ash] [--bluetooth] [--ipx] [--netrom] [--ddp|--appletalk] [--econet|--ec]

NOTE
Acest program este în mare parte învechit. Înlocuitorul pentru netstat este ss. Înlocuitorul pentru netstat -r este ip route. Înlocuitorul pentru netstat -i este ip -s link. Înlocuitorul pentru netstat -g este ip maddr.

DESCRIERE
netstat afișează informații despre subsistemul de rețea Linux. Tipul de informații afișate este controlat de primul argument, după cum urmează:

  (nicio opțiune)
În mod implicit, netstat afișează o listă de socluri deschise. Dacă nu specificați nicio familie de adrese, vor fi afișate soclurile active din toate familiile de adrese configurate.

  --route, -r
Afișează tabelele de direcționare ale nucleului. Pentru detalii, consultați descrierea din route(8). netstat -r și route -e produc aceeași ieșire.

  --groups, -g
Afișează informații privind apartenența la grupuri de multidifuzare pentru IPv4 și IPv6.

  --interfaces, -i
Afișează un tabel cu toate interfețele de rețea.

  --masquerade, -M
Afișează o listă cu conexiunile mascate.

  --statistics, -s
Afișează statistici rezumative pentru fiecare protocol.

OPȚIUNI

  --verbose, -v
Informează utilizatorul despre ceea ce se întâmplă, fiind foarte detaliat. Mai ales afișează câteva informații utile despre familiile de adrese neconfigurate.

  --wide, -W
Nu trunchiază adresele IP, utilizând o ieșire atât de largă cât este necesar. Acest lucru este opțional deocamdată pentru a nu afecta scripturile existente.

  --numeric, -n
Afișează adrese numerice în loc să încerce să determine nume simbolice de gazdă, port sau utilizator.

  --numeric-hosts
Afișează adresele numerice ale gazdelor, dar aceasta nu afectează rezoluția numelor de port sau de utilizator.

  --numeric-ports
Afișează numerele numerice ale porturilor, dar aceasta nu afectează rezoluția numelor de gazdă sau de utilizator.

  --numeric-users
Afișează ID-urile numerice ale utilizatorilor, dar aceasta nu afectează rezoluția numelor de gazdă sau de port.

  --protocol=familia, -A
Specifică familiile de adrese (poate mai bine descrise ca protocoale de nivel scăzut) pentru care trebuie afișate conexiunile. familie este o listă separată prin virgule („,”) de cuvinte cheie ale familiei de adrese, cum ar fi inet, inet6, unix, ipx, ax25, netrom, econet, ddp și bluetooth. Acest lucru are același efect ca și utilizarea opțiunilor --inet|-4, --inet6|-6, --unix|-x, --ipx, --ax25, --netrom, --ddp și --bluetooth.

Familia de adrese inet (Iv4) include socluri de protocol raw, udp, udplite și tcp.

Familia de adrese bluetooth (Iv4) include socluri de protocol l2cap și rfcomm.

  -c, --continuous
Aceasta va face ca netstat să afișeze informațiile selectate la fiecare secundă în mod continuu.

  -e, --extend
Afișează informații suplimentare. Utilizați această opțiune de două ori pentru a obține detalii maxime.

  -o, --timers
Include informații referitoare la cronometrele de rețea.

  -p, --program
Afișează PID-ul și numele programului căruia îi aparține fiecare soclu. Se afișează o cratimă în cazul în care soclul aparține nucleului (de exemplu, un serviciu al nucleului sau procesul a ieșit, dar soclul nu a terminat încă de închis).

  -l, --listening
Afișează numai soclurile de ascultare; (acestea sunt omise în mod implicit).

  -a, --all
Afișează atât soclurile care ascultă, cât și cele care nu ascultă. Cu opțiunea --interfaces, afișează interfețele care nu sunt active.

  -F
Afișează informațiile de direcționare din FIB; (aceasta este valoarea implicită).

  -C
Afișează informațiile de direcționare din memoria cache a rutelor.

IEȘIRE

  Conexiuni active la Internet (TCP, UDP, UDPLite, raw)

  Proto
Protocolul (tcp, udp, udpl, raw) utilizat de soclu.

  Recv-Q
Stabilită: Numărul de octeți care nu au fost copiați de către programul utilizatorului conectat la acest soclu. Ascultare: Începând cu versiunea 2.6.18 a nucleului, această coloană conține numărul actual de sincronizări.

  Send-Q
Stabilită: Numărul de octeți care nu au fost confirmați de către gazda de la distanță. Ascultare: începând cu versiunea 2.6.18 a nucleului, această coloană conține dimensiunea maximă a registrului de sincronizare.

  Local Address
Adresa și numărul de port al capătului local al soclului. Cu excepția cazului în care este specificată opțiunea --numeric (-n), adresa soclului este rezolvată în numele său de gazdă canonic (FQDN), iar numărul portului este tradus în numele serviciului corespunzător.

  Foreign Address
Adresa și numărul de port al capătului de la distanță al soclului. Analog cu „Local Address”.

  Stare
Starea soclului. Deoarece nu există stări în modul raw și, de obicei, nu există stări utilizate în UDP și UDPLite, această coloană poate fi lăsată goală. În mod normal, aceasta poate fi una dintre mai multe valori:

ESTABLISHED
    Soclul are o conexiune stabilită.

SYN_SENT
    Soclul încearcă în mod activ să stabilească o conexiune.

SYN_RECV
    A fost primită o cerere de conectare din rețea.

FIN_WAIT1
    Soclul este închis, iar conexiunea se închide.

FIN_WAIT2
    Conexiunea este închisă, iar soclul așteaptă o închidere de la partea de la distanță.

TIME_WAIT
    Soclul este în așteptare după închidere pentru a gestiona pachetele aflate încă în rețea.

CLOSE
    Soclul nu este utilizat.

CLOSE_WAIT
    Partea de la distanță s-a închis, așteptând ca soclul să se închidă.

LAST_ACK
    Partea de la distanță s-a oprit, iar soclul este închis. Se așteaptă confirmarea.

LISTEN
    Soclul ascultă pentru conexiuni primite. Astfel de socluri nu sunt incluse la ieșire decât dacă se specifică opțiunea --listening (-l) sau --all (-a).

CLOSING
    Ambele socluri sunt închise, dar încă nu avem toate datele trimise.

UNKNOWN
    Starea soclului este necunoscută.

  User
Numele de utilizator sau ID-ul de utilizator (UID) al proprietarului soclului.

  PID/Program name
Pereche separată prin bară oblică formată din ID-ul procesului (PID) și numele procesului care deține soclul. --program face ca această coloană să fie inclusă. De asemenea, veți avea nevoie de privilegii de superutilizator pentru a vedea aceste informații pentru soclurile pe care nu le dețineți. Aceste informații de identificare nu sunt încă disponibile pentru soclurile IPX.

  Timer
Temporizatorul TCP asociat cu acest soclu. Formatul este temporarizator(a/b/c). Temporizatorul este una dintre următoarele valori:

off Nu există un temporarizator configurat pentru acest soclu.

on  Temporizatorul de retransmisie este activ pentru acest soclu.

keepalive
    Temporizatorul menține-activ (keepalive) este activ pentru soclu.

timewait
    Conexiunea se închide, iar temporizatorul timp-așteptare (timewait) este activ pentru soclu.

Valorile dintre paranteze:

a   Valoarea temporizatorului.

b   Numărul de retransmisii trimise.

c   Numărul de „keepalive” (menține-activ) trimise.

  Socluri de domeniu UNIX active

  Proto
Protocolul (de obicei unix) utilizat de soclu.

  RefCnt
Numărul de referințe (adică procesele atașate prin intermediul acestui soclu).

  Flags
Fanioanele (flags) afișate sunt SO_ACCEPTON (afișat ca ACC), SO_WAITDATA (W) sau SO_NOSPACE (N).Fanionul SO_ACCECPTON este utilizat pe soclurile neconectate dacă procesele lor corespunzătoare așteaptă o cerere de conectare. Celelalte fanioane nu prezintă un interes normal.

  Type
Există mai multe tipuri de acces la socluri:

SOCK_DGRAM
    Soclul este utilizat în modul Datagram (fără conexiune).

SOCK_STREAM
    Acesta este un soclu de flux (conexiune).

SOCK_RAW
    Soclul este utilizat ca un soclu raw.

SOCK_RDM
    Acesta servește mesaje livrate în mod fiabil.

SOCK_SEQPACKET
    Acesta este un soclu pentru pachete secvențiale.

SOCK_PACKET
    Soclu de acces la interfața raw.

UNKNOWN
    Cine știe vreodată ce ne va aduce viitorul - completați acest spațiu :-)

  Stare
Acest câmp va conține unul dintre următoarele cuvinte-cheie:

FREE
    Soclul nu este alocat

LISTENING
    Socketul așteaptă o cerere de conexiune. Astfel de socluri sunt incluse la ieșire numai dacă specificați opțiunea --listening (-l) sau --all (-a).

CONNECTING
    Soclul este pe cale să stabilească o conexiune.

CONNECTED
    Soclul este conectat.

DISCONNECTING
    Soclul se deconectează.

(empty)
    Soclul nu este conectat la un alt soclu.

UNKNOWN
    Această stare nu ar trebui să apară niciodată.

  PID/Program name
ID-ul de proces (PID) și numele procesului care a deschis soclul. Mai multe informații sunt disponibile în secțiunea Conexiuni active la Internet scrisă mai sus.

  Path
Acesta este numele rutei în care procesele corespunzătoare s-au atașat la soclu.

  Socluri IPX active
(acest câmp trebuie să fie scris de cineva care se pricepe)

  Socluri NET/ROM active
(acest câmp trebuie să fie scris de cineva care se pricepe)

  Socluri AX.25 active
(acest câmp trebuie să fie scris de cineva care se pricepe)

FIȘIERE
/etc/services -- Fișierul de traducere a serviciilor

/proc -- Punctul de montare pentru sistemul de fișiere proc, care oferă acces la informații despre starea nucleului prin intermediul fișierelor următoare.

/proc/net/dev -- informații despre dispozitive

/proc/net/raw -- informații despre soclul raw

/proc/net/tcp -- informații despre soclul TCP

/proc/net/udp -- informații despre soclul UDP

/proc/net/udplite -- informații despre soclul UDPLite

/proc/net/igmp -- informații despre multidifuzarea IGMP

/proc/net/unix -- informații despre soclul de domeniu Unix

/proc/net/ipx -- informații despre soclul IPX

/proc/net/ax25 -- informații despre soclul AX25

/proc/net/appletalk -- informații despre soclul DDP (appletalk)

/proc/net/nr -- informații despre soclul NET/ROM

/proc/net/route -- informații privind direcționarea IP

/proc/net/ax25_route -- informații privind direcționarea AX25

/proc/net/ipx_route -- informații privind direcționarea IPX

/proc/net/nr_nodes -- lista de noduri NET/ROM

/proc/net/nr_neigh -- vecinii NET/ROM

/proc/net/ip_masquerade -- conexiunile mascate

/sys/kernel/debug/bluetooth/l2cap -- informații despre L2CAP bluetooth

/sys/kernel/debug/bluetooth/rfcomm -- conexiunile seriale bluetooth

/proc/net/snmp -- statistici

CONSULTAȚI ȘI
route(8), ifconfig(8), iptables(8), proc(5), ss(8), ip(8)

ERORI
Ocazional, pot apărea informații ciudate dacă un soclu se modifică pe măsură ce este vizualizat. Este puțin probabil să se întâmple acest lucru.

AUTORI
Interfața de utilizator «netstat» a fost scrisă de Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de>, iar pagina de manual, în principiu, de Matt Welsh <mdw@tc.cornell.edu>. A fost actualizată de Alan Cox <Alan.Cox@linux.org>, actualizată din nou de Tuan Hoang <tqhoang@bigfoot.com>. Pagina de manual și comanda inclusă în pachetul net-tools este rescrisă în totalitate de Bernd Eckenfels <ecki@linux.de>. Opțiunile UDPLite au fost adăugate de Brian Micek <bmicek@gmail.com>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.